GroovyMain (Groovy 5.0.0)

Package: groovy.ui

## [Java] Class GroovyMain

- groovy.ui.GroovyMain

-     public class GroovyMain
      extends Object

  A Command line to execute groovy.

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `GroovyMain.VersionProvider` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static String` | `buildConfigScriptText(List<String> transforms)`
    `` | `protected GroovyCodeSource` | `getScriptSource(boolean isScriptFile, String script)` Get a new GroovyCodeSource for a script which may be given as a location (isScript is true) or as text (isScript is false).
    `` | `public String` | `getText(String uriOrFilename)` Get the text of the Groovy script at the given location.
    `` | `public File` | `huntForTheScriptFile(String input)` Hunt for the script file by calling searchForGroovyScriptFile(String).
    `` | `public static void` | `main(String[] args)` Main CLI interface.
    `` | `public static void` | `processConfigScriptText(String scriptText, CompilerConfiguration conf)`
    `` | `public static void` | `processConfigScripts(List<String> scripts, CompilerConfiguration conf)`
    `` | `public static File` | `searchForGroovyScriptFile(String input)` Search for the script file, doesn't bother if it is named precisely.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static String buildConfigScriptText(List<String> transforms)

    - #### protected GroovyCodeSource getScriptSource(boolean isScriptFile, String script)

      Get a new GroovyCodeSource for a script which may be given as a location (isScript is true) or as text (isScript is false).

      throws:
        IOException
      throws:
        URISyntaxException
      Parameters:
        `isScriptFile` - indicates whether the script parameter is a location or content
        `script` - the location or context of the script
      Returns:
        a new GroovyCodeSource for the given script
      Since:
        2.3.0

    - #### @Deprecated
      public String getText(String uriOrFilename)

      Get the text of the Groovy script at the given location. If the location is a file path and it does not exist as given, then GroovyMain.huntForTheScriptFile is called to try with some Groovy extensions appended. This method is not used to process scripts and is retained for backward compatibility. If you want to modify how GroovyMain processes scripts then use GroovyMain.getScriptSource.

      throws:
        IOException
      deprecated:
      Parameters:
        uriOrFilename
      Returns:
        the text content at the location

    - #### public File huntForTheScriptFile(String input)

      Hunt for the script file by calling searchForGroovyScriptFile(String).

      See Also:
        GroovyMain.searchForGroovyScriptFile

    - #### public static void main(String[] args)

      Main CLI interface.

      Parameters:
        `args` - all command line args.

    - #### public static void processConfigScriptText(String scriptText, CompilerConfiguration conf)

    - #### public static void processConfigScripts(List<String> scripts, CompilerConfiguration conf)

    - #### public static File searchForGroovyScriptFile(String input)

      Search for the script file, doesn't bother if it is named precisely. Tries in this order: - actual supplied name - name.groovy - name.gvy - name.gy - name.gsh

      Since:
        2.3.0